#
# spec file for package qemu-launcher (Version 1.8.0_pre0)
#
# Copyright (c) 2005 SUSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bug fixes or comments via http://www.suse.de/feedback/
#

# norootforbuild

Name: qemu-launcher
Summary: Interface to configure and launch Qemu
Version: 1.8.0_pre0
Release: 2.1
License: GPL
Group: X11/Utilities
URL: https://gna.org/projects/qemulaunch
Source: %{name}-%{version}.tar.bz2
Patch0: suse-buildfix.diff
Buildroot: %{_tmppath}/%{name}-root
Autoreqprov: on
Requires: perl perl-Locale-gettext perl-Gtk2 perl-Gtk2-GladeXML

%description
A launcher for Qemu that manages Qemu configs and creates disk images
Qemu-launcher provides a point and click interface to Qemu. It also
allows you to create, save, load, and run multiple Qemu VM
configurations. It has a basic interface for creating or convertering
disk images.

Only supports the x86 PC emulator part of Qemu.

%prep
%setup -q
%patch0 -p1

%build

%install
make DESTDIR="$RPM_BUILD_ROOT" PREFIX="%_prefix" install
rm -rf $RPM_BUILD_ROOT%{_prefix}/share/doc/qemu-launcher
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING Changelog FAQ INSTALL README README.i18n README.icons TODO
%{_bindir}/qemu-launcher
%{_mandir}/man1/qemu-launcher.1*
%{_datadir}/qemu-launcher/
%{_datadir}/applications/qemu-launcher.desktop
%{_datadir}/pixmaps/*
%{_datadir}/icons/*

%changelog
* Mon Mar 26 2007 jblunck@suse.de
- initial packaging
